@import 'styles/main.scss';

.page {
  &__container {
    max-width: 1280px;
    margin: 56px auto 0;
    padding: 0 16px;
  }

  &__row {
    display: flex;
    flex-wrap: wrap;
    gap: 64px;
  }

  &__baseInfoWrapper {
    display: flex;
    gap: 32px;
    width: 424px;
    max-width: 424px;
  }

  &__userPhoto {
    position: relative;
    width: 180px;
    height: 180px;
    object-fit: cover;
    border-radius: 8px;
  }

  &__baseInfo {
    display: flex;
    flex-direction: column;

    > *:first-child {
      color: $text-primary;
    }

    > *:not(:first-child) {
      color: $text-dark-gray;
    }
  }

  &__notifWrapper {
    display: flex;
    flex-direction: column;
    gap: 16px;
    flex: 1;
  }

  &__actions {
    display: flex;
    gap: 16px;
  }

  &__action {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 56px;
    width: 56px;
    background: $light-green;
    border-radius: 8px;

    &:hover {
      background: $primary;
    }
  }

  &__photoAction {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 40px;
    width: 40px;
    background: $light-green;
    border-radius: 8px;

    &:hover {
      background: $primary;
    }
  }

  &__photoActionIcon {
    width: 32px;
    height: 32px;
  }

  &__userPhotoWrapper {
    position: relative;

    &:hover {
      .page {
        &__userPhotoOverlay {
          opacity: 1;
          pointer-events: all;
        }
      }
    }
  }

  &__userPhotoOverlay {
    position: absolute;
    top: 0;
    left: 0;
    height: 180px;
    width: 180px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #00000099;
    border-radius: 8px;
    pointer-events: none;
    transition: 0.3s ease all;
    opacity: 0;
    gap: 12px;
  }

  &__modalActions {
    display: flex;
    gap: 16px;
    justify-content: center;
    margin-top: 16px;
  }

  &__modal {
    display: flex;
    justify-content: center;
    min-width: 573px;
  }

  &__modalForm {
    align-items: center;
    width: 100%;
    max-width: 344px;

    > label {
      width: 100%;
    }
  }

  &__text--green {
    color: $dark-green;
  }



  &__cardWrapper {
    width: 420px;
    display: flex;
    flex-direction: column;
    gap: 16px;
    align-self: flex-end;
  }

  &__studentsProgressCard {
    display: block;
    background: $background-light;
    border: 1px solid $background-dark-white;
    min-height: 420px;
    border-radius: 8px;
  }

  &__studentsGroupCard {
    background: $background-light;
    border: 1px solid $background-dark-white;
    border-radius: 8px;
  }

  &__row {
    margin-bottom: 64px;

    &:last-child {
      margin-bottom: 20px;
    }

    &:nth-child(2) {
      gap: 32px;
    }
  }

  &__purrImage {
    position: absolute;
    transform: translateX(-40px) translateY(0px);
  }

  &__imageWrapper {
    display: flex;
    justify-content: center;
    width: 0;
    height: 480px;
  }
}


@media screen and (max-width: 1279px) {
  .page {
    &__row {
      flex-wrap: nowrap;
    }

    &__notifWrapper {
      flex-shrink: 1;
      flex-grow: 1;
      flex-basis: 0;

      > * {
        max-width: 100%;
      }
    }
  }
}